<?php
require_once ("VLSIuser.php");
function hlavicka ($user){?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
   "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1250" />
        <title>Editing publications</title>
        
  <script type="text/javascript">
function kontrola_formulare()
{
  var text_autori = self.document.forms.editpubs.autori;
  var text_popis = self.document.forms.editpubs.popis;

 if (text_autori.value.length==0)
 {
 text_autori.focus();
 alert("Musíte vyplnit políčko Autoři.");
 return false;
 }
 if (text_autori.value.length>320)
 {
 text_autori.focus();
 alert("Autoři nesmí být delší jak 320 znaků.");
 return false;
 }
if (text_popis.value.length==0)
 {
 text_popis.focus();
 alert("Musíte vyplnit políčko Popis.");
 return false;
 }

}
</script>
        
        
    </head>
    <body style="padding:20px;">
<h1>Editing publications</h1>
<?php echo "Jste Přihlášen jako: <b>".$user['fullname']."</b><br />";?>

<br />

<?php }

if (!isset($_GET['id'])){
  hlavicka($user);
$dotaz="SELECT id,autori,popis FROM pubs WHERE zadal='".$user['username']."' ORDER BY id DESC";
$dotaz2="SELECT COUNT(*) FROM pubs WHERE (zadal='".$user['username']."')";
if (isset($_GET['row'])){$row=$_GET['row'];} else{$row=1;}

//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
// spocteni radku k vypsani
$res=$db->query($dotaz2);
//kontrola zda sme dostali z databaze vysledek a ulozeni do $pocetradku
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba. Stránka nebude správně zobrazena");
	} else {
      $res=pg_fetch_row($res);
      $pocetradku=$res[0];
}
// kontrola yda je row cislo
if (is_numeric($row)){
//pretzpovani na int, kdyby cislo bylo jineho tvaru
    $row=(int)$row;
//spocteni poctu listu
     $pocetlistu=$pocetradku/pokolika;
     $pocetlistu=ceil($pocetlistu);
//kontrola zda row je v mezich poctu listu
     if ($row<1||$row>$pocetlistu){$row=1;}
}else{$row=1;}

$dotaz.=" LIMIT ".pokolika." OFFSET ".(($row-1)*pokolika);
 

$res=$db->query ($dotaz);
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba nebo neexistuje žádný záznam. Stránka nebude správně zobrazena");
	} else {
// vypsani rolovani projektu
rolovani($row,$pocetlistu,"editpubs");
echo("<br /><ul>");
//vypisovani po jednom projektu
while($data = pg_fetch_assoc($res)){
echo "<li>";
echo "<a href=\"editpubs.php?id=".$data['id']."\">".htmlspecialchars($data['autori'])." : ".htmlspecialchars($data['popis'])."</a>";
echo "</li>";
}
echo("</ul><br /><br />");
}
$db->close();
}
else
//*************************************************************
//*************************************************************
//vypis formulare
{
session_start();
$jmsess="ulozEDITPUBS";
$_SESSION[$jmsess]=true;
hlavicka($user);
$id=$_GET['id'];
// kontrola zda je id cislo
if (is_numeric($id)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $id=(int)$id;
}else{unseting($jmsess);die("Doslo k chybě nebo pokusu o utok</body></html>");}

$dotaz="SELECT * FROM pubs WHERE (id=".$id." AND zadal='".$user['username']."')";

//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";

$res=$db->query ($dotaz);
if (gettype($res) != 'resource' || !pg_numrows($res)) {
     echo ("Nastala chyba nebo neexistuje žádný záznam. Stránka nebude správně zobrazena");unseting($jmsess);
	} else {
$data = pg_fetch_assoc($res);
//*******************************************************
//*******************************************************
//*******************************************************
//*******************************************************
//zobrazeni navodu
echo "<br /><br />
<p style=\"width:400px;\">Položky označené červenou hvězdičkou musí být vyplněny. Můžete do popisu zadávat odkazy. Budou automaticky rozpoznány. Tagy nebudou interpretovány. Názvy souborů smí obsahovat pouze abecední znaky a čisla.</p>";

//zobrazeni chyb
if(isset($_GET['autorichyba']) && $_GET['autorichyba']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko Autoři</font></b>";}
if(isset($_GET['popischyba'])&& $_GET['popischyba']==true){echo "<br /><b><font color=\"red\">Musíte vyplnít políčko popis</font></b>"; }
if(isset($_GET['autdelchyba'])&& $_GET['autdelchyba']==true){echo "<br /><b><font color=\"red\">Délka políčka Autoři přesahuje 320 znaků!</font></b>"; }
if(isset($_GET['rokchyba'])&& $_GET['rokchyba']==true){echo "<br /><b><font color=\"red\">Rok musí být v nabízeném rozmezí!</font></b>"; }
if(isset($_GET['stav']) && $_GET['stav']==6){echo "<br /><b><font color=\"red\">Součet délek názvů souborů je moc dlouhý nebo obsahuje nepřípustné znaky. Přejmenujte prosím soubory.</font></b>";}

//inicializace formulare
if (isset($_GET['autori'])){
  if ($slashes==1){$autori=htmlspecialchars(stripslashes($_GET['autori']));}else
  {$autori=htmlspecialchars($_GET['autori']);}
} else{$autori=htmlspecialchars($data['autori']);}

if (isset($_GET['popis'])){
  if ($slashes==1){$popis=htmlspecialchars(stripslashes($_GET['popis']));}else
  {$popis=htmlspecialchars($_GET['popis']);}
} else{$popis=htmlspecialchars($data['popis']);}

if (isset($_GET['rok'])){
  if ($slashes==1){$rok=htmlspecialchars(stripslashes($_GET['rok']));}else
  {$rok=htmlspecialchars($_GET['rok']);}
} else{$rok=$data['rok'];}

?>
<br /><a onclick="return confirm('Opravdu smazat záznam?')" href="updpubs.php?del=1&amp;id=<?php echo $data['id']."&amp;".SID;?>">Smazat tuto publikaci!</a>
<form  name="editpubs" onsubmit="return kontrola_formulare();" action="updpubs.php?<?php echo(SID); ?>" method="post" enctype="multipart/form-data">
<input type="hidden" name="id" value="<?php echo $data['id'];?>" />
<b>Autoři <font color="red">*</font></b><br /><textarea name="autori" cols="40" rows="2"><?php echo $autori;?></textarea><br />
<b>Popis <font color="red">*</font></b><br /><textarea name="popis" cols="40" rows="3"><?php echo $popis;?></textarea><br />
<br /><b>Rok</b><br />

<select name="rok">
<?php
$year=$rok;
for($vypisrok=($year-10);$vypisrok<=($year+10);$vypisrok++)
{echo "<option value=\"$vypisrok\" ";
 if ($vypisrok==$rok) echo " selected=\"selected\"";
 echo " >$vypisrok</option>";}
?>
</select><br /><br />
<?php
if ($data["zdroje"]!==NULL){
 echo" <b>Zaškrtněte soubory, které se mají smazat:</b><br />";
    $zdroje=explode("#",$data["zdroje"]);
    foreach ($zdroje as $i=>$lol){
    $lasti=strrpos($lol,".");
           $jm=strrchr($lol,".");
           echo " <a target=\"_blank\" href=\"".soubory_pubs.$lol."\">".$jm."</a>";
           $lol2=str_replace(".","",$lol);
           echo "<input type=\"checkbox\" name=\"$lol2\" ";
           if(isset($_GET[$lol2]) && $_GET[$lol2]==$lol2 ){echo "checked=\"checked\"";}
           echo " value=\"$lol2\" /> Smazat tento soubor!<br />";

           }

  }
?>

<b>Priložit soubor:</b><br />
<input type="file" name="soubor1" size="40" />
<?php
$maxsize=ini_get('upload_max_filesize');
echo ("Max. velikost $maxsize");
?><br /><br />
<input type="submit" name="odeslane" value="Odeslat" /> <input type="reset" value="Reset" /></form>
<?php }}?>
</body>
</html>
